/*-----------------------------------------------------------------------------
[名称]	FlipDlg.h
[概要]	反転文字定義ダイアログクラスのヘッダ
[備考]	なし
[履歴]	2003-04-23	NC		コメント付加(moralog)
-----------------------------------------------------------------------------*/
#if !defined(AFX_FLIPDLG_H_INCLUDED_)
#define AFX_FLIPDLG_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//-----------------------------------------------------------------------------
// インクルード
//-----------------------------------------------------------------------------
#include <afxtempl.h>
#include "resource.h"
#include "FliperDefine.h"
#include "EmphasisEdit.h"
#include "OwnerTabPage.h"


/*-----------------------------------------------------------------------------
[名称]	反転文字定義ダイアログクラス
[用途]	反転文字定義ダイアログ。
[備考]	なし
-----------------------------------------------------------------------------*/
class CFlipDlg : public COwnerTabPage
{
// コンストラクション
public:
	// 生成
	CFlipDlg(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// データのアタッチ
	void Attach( CFliperDefine* pFlipz ){m_pFlipz = pFlipz;};

	// 確定処理
	void Confirm(){ OnOK(); };

protected:
	// 表示更新
	void VisibleControl();

// ダイアログ データ
	//{{AFX_DATA(CFlipDlg)
	enum { IDD = IDD_FLIP };
	CButton	m_btnEnable;
	CEmphasisEdit	m_EmphasisEdit14;
	CEmphasisEdit	m_EmphasisEdit13;
	CEmphasisEdit	m_EmphasisEdit12;
	CEmphasisEdit	m_EmphasisEdit11;
	CEmphasisEdit	m_EmphasisEdit10;
	CEmphasisEdit	m_EmphasisEdit9;
	CEmphasisEdit	m_EmphasisEdit8;
	CEmphasisEdit	m_EmphasisEdit7;
	CEmphasisEdit	m_EmphasisEdit6;
	CEmphasisEdit	m_EmphasisEdit5;
	CEmphasisEdit	m_EmphasisEdit4;
	CEmphasisEdit	m_EmphasisEdit3;
	CEmphasisEdit	m_EmphasisEdit2;
	CEmphasisEdit	m_EmphasisEdit1;
	CScrollBar	m_scroll;
	BOOL	m_bEnable;
	//}}AFX_DATA

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CFlipDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CFliperDefine*			m_pFlipz;	// 反転候補設定先 [-] (-)
	CFliperDefine			m_Flipz;	// 反転候補ワーク [-] (-)

	// 次へフォーカス移動
	BOOL GoNextControl();

	// 前へフォーカス移動
	BOOL GoPrevControl();

private:
	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CFlipDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual void OnOK();
	afx_msg void OnChangeFlipedit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_FLIPDLG_H_INCLUDED_)
